package de.apps4ics.mountainnavigation.pois;

/**
 * This file is part of MountainNavigation.
 *
 * MountainNavigation is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MountainNavigation is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MountainNavigation.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @copyright Copyright (c) 2016 Vinzenz Rosenkanz <vinzenz.rosenkranz@gmail.com>
 *
 * @author Vinzenz Rosenkranz <vinzenz.rosenkranz@gmail.com>
 */
public class Lift extends Poi {
    DbGeoPoint end;
    long endGpId;
    String name;

    public Lift(long _id) {
        super(_id, Types.LIFT);
    }
    public Lift(){
        super(Types.LIFT);
    }
    public Lift(long _id, String name, DbGeoPoint start, DbGeoPoint end){
        super(_id, Types.LIFT, start);
        this.name = name;
        this.end = end;
        this.endGpId = end.getId();
    }

    public long getStartGpId() {
        return gpId;
    }

    public DbGeoPoint getStartGp(){
        return gp;
    }

    public long getEndGpId() {
        return endGpId;
    }

    public DbGeoPoint getEndGp(){
        return end;
    }

    public String getName() {
        return name;
    }
}
